package com.project.zcustom.service.access;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.access.PlatAccess;

import java.util.List;
import java.util.Map;

/**
 * 便捷出入Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatAccessService extends IService<PlatAccess> {

    /**
     * 分页查询便捷出入列表
     *
     * @param platAccess 便捷出入
     * @return 便捷出入集合
     */
    public IPage<PlatAccess> pagingPlatAccessList(PlatAccess platAccess);

    /**
     * 分页查询便捷出入列表
     *
     * @param lqw
     * @return 便捷出入集合
     */
    public IPage<PlatAccess> pagingPlatAccessList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatAccess> lqw);

    /**
     * 查询便捷出入列表
     *
     * @param platAccess 便捷出入
     * @return 便捷出入集合
     */
    public List<PlatAccess> selectPlatAccessList(PlatAccess platAccess);

    /**
     * 查询便捷出入列表
     *
     * @param platAccess 便捷出入
     * @return 便捷出入集合
     */
    public List<PlatAccess> selectPlatAccessList(PlatAccess platAccess,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 便捷出入
     */
    public PlatAccess getPlatAccessByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 便捷出入
     */
    public PlatAccess getPlatAccessByField(String field, String filedValue,String fieldString);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 便捷出入
     */
    public List<PlatAccess> selectPlatAccessListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 便捷出入
     */
    public List<PlatAccess> selectPlatAccessListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatAccess(LambdaQueryWrapper<PlatAccess> lqw);

    /**
     *  添加便捷出入数据
     */
    public void addPlatAccess(String appOrg, Map<String, Object> mapField);

    /**
     * 其他数据信息
     */
    public Map<String, Object> getOtherData(String appOrg);

    /**
     * 近一周车流量统计
     */
    public Map<String, Object> getCarFlowData(String appOrg);
}
